# Uses of Class
org.apache.lucene.codecs.TermVectorsReader

Packages that use TermVectorsReader
Package
Description
org.apache.lucene.codecs
Codecs API: API for customization of the encoding and structure of the index.
org.apache.lucene.codecs.lucene90.compressing
Lucene 9.0 compressing format.
org.apache.lucene.index
Code to maintain and access indices.

- ## Uses of TermVectorsReader in org.apache.lucene.codecs

  Methods in org.apache.lucene.codecs that return TermVectorsReader
  Modifier and Type
  Method
  Description
  `abstract TermVectorsReader`
  TermVectorsReader.`clone()`
  Create a clone that one caller at a time may use to read term vectors.
  `TermVectorsReader`
  TermVectorsReader.`getMergeInstance()`
  Returns an instance optimized for merging.
  `abstract TermVectorsReader`
  TermVectorsFormat.`vectorsReader(Directory directory, SegmentInfo segmentInfo, FieldInfos fieldInfos, IOContext context)`
  Returns a `TermVectorsReader` to read term vectors.

- ## Uses of TermVectorsReader in org.apache.lucene.codecs.lucene90.compressing

  Subclasses of TermVectorsReader in org.apache.lucene.codecs.lucene90.compressing
  Modifier and Type
  Class
  Description
  `final class`
  `Lucene90CompressingTermVectorsReader`
  `TermVectorsReader` for `Lucene90CompressingTermVectorsFormat`.
  Methods in org.apache.lucene.codecs.lucene90.compressing that return TermVectorsReader
  Modifier and Type
  Method
  Description
  `TermVectorsReader`
  Lucene90CompressingTermVectorsReader.`clone()`
  `TermVectorsReader`
  Lucene90CompressingTermVectorsReader.`getMergeInstance()`
  `final TermVectorsReader`
  Lucene90CompressingTermVectorsFormat.`vectorsReader(Directory directory, SegmentInfo segmentInfo, FieldInfos fieldInfos, IOContext context)`

- ## Uses of TermVectorsReader in org.apache.lucene.index

  Fields in org.apache.lucene.index declared as TermVectorsReader
  Modifier and Type
  Field
  Description
  `final TermVectorsReader[]`
  MergeState.`termVectorsReaders`
  Term vector producers being merged
  Methods in org.apache.lucene.index that return TermVectorsReader
  Modifier and Type
  Method
  Description
  `abstract TermVectorsReader`
  CodecReader.`getTermVectorsReader()`
  Expert: retrieve underlying TermVectorsReader
  `TermVectorsReader`
  FilterCodecReader.`getTermVectorsReader()`
  `TermVectorsReader`
  SegmentReader.`getTermVectorsReader()`
  `TermVectorsReader`
  SortingCodecReader.`getTermVectorsReader()`
  Constructors in org.apache.lucene.index with parameters of type TermVectorsReader
  Modifier
  Constructor
  Description
  ``
  `MergeState(MergeState.DocMap[] docMaps, SegmentInfo segmentInfo, FieldInfos mergeFieldInfos, StoredFieldsReader[] storedFieldsReaders, TermVectorsReader[] termVectorsReaders, NormsProducer[] normsProducers, DocValuesProducer[] docValuesProducers, FieldInfos[] fieldInfos, Bits[] liveDocs, FieldsProducer[] fieldsProducers, PointsReader[] pointsReaders, KnnVectorsReader[] knnVectorsReaders, int[] maxDocs, InfoStream infoStream, Executor intraMergeTaskExecutor, boolean needsIndexSort)`
  Create a new merge instance.